import request from '@/utils/request'

// 查询cmc人员预算列表
export function listBudgetStaff(query) {
  return request({
    url: '/oa/budgetStaff/list',
    method: 'get',
    params: query
  })
}

// 查询cmc人员预算详细
export function getBudgetStaff(budgetId) {
  return request({
    url: '/oa/budgetStaff/' + budgetId,
    method: 'get'
  })
}

// 新增cmc人员预算
export function addBudgetStaff(data) {
  return request({
    url: '/oa/budgetStaff',
    method: 'post',
    data: data
  })
}

// 修改cmc人员预算
export function updateBudgetStaff(data) {
  return request({
    url: '/oa/budgetStaff',
    method: 'put',
    data: data
  })
}

// 删除cmc人员预算
export function delBudgetStaff(budgetId) {
  return request({
    url: '/oa/budgetStaff/' + budgetId,
    method: 'delete'
  })
}
